Bug 884368 - ALSA sound/usb/mixer.c:415 cannot get current value for control 2 ch 1: err = -22
ALSA sound/usb/mixer.c:415 cannot get current value for control 2 ch 1: err =...
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
19
x86_64 Linux
unspecified Severity unspecified
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-12-05 23:28 EST by Joe Cooper
Modified: 2013-04-23 13:27 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-04-23 13:27:14 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
lspci output (2.17 KB, text/plain)
2012-12-06 04:27 EST, Joe Cooper
no flags Details
lsusb output (554 bytes, text/plain)
2012-12-06 04:28 EST, Joe Cooper
no flags Details
alsa-info output (31.79 KB, text/plain)
2012-12-06 14:05 EST, Joe Cooper
no flags Details
alsa-info.txt (28.11 KB, text/plain)
2012-12-06 14:15 EST, Joe Cooper
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
FreeDesktop.org 55401 None None None Never

  None (edit)
Description Joe Cooper 2012-12-05 23:28:30 EST
Description of problem:

When snd-usb-audio is loaded, Gnome Shell is unresponsive and crashes frequently (sometimes to the point of being unable to login at all). The issue is with the Beats Audio feature on many HP Envy laptops; mine is specifically an Envy 15 3040nr. Blacklisting this module makes the problem go away, but makes it impossible to use other USB audio devices, and also prevents the surround sound and subwoofer features of this computer from working (which makes for quiet and brittle sound).

Version-Release number of selected component (if applicable):

I've tried nearly every kernel from the ISO-provided kernel on the Fedora 17 Live CD on up to the latest 3.7rc8 from rawhide. The problem is identical across all of them. 3.7 seems to have a number of changes to USB audio and to the Intel chipset this computer uses, but this particular issue is the same.

How reproducible:

Always.

Steps to Reproduce:
1. Start Fedora 17, 18, or 19 on an HP Envy 15 3040nr (or one of several other Envy laptops with the same chipset and sound configuration)
2. Watch Gnome Shell crash and groan, and see "ALSA sound/usb/mixer.c:415 cannot get current value for control 2 ch 1: err = -22" in dmesg and on the terminal.
3. Remove snd-usb-audio using modprobe on a virtual terminal, so things start working again.
  
Actual results:

Crashing and unresponsive Gnome Shell, or disabled audio on several channels and no ability to use USB sound devices (even ones that don't have this problem).

Expected results:

No crashing, working audio on all channels and the ability to use an USB sound device.

Additional info:
Other sightings of this issue in the wild:
https://bbs.archlinux.org/viewtopic.php?id=143830
http://ubuntuforums.org/archive/index.php/t-1930972.html
Comment 1 Joe Cooper 2012-12-05 23:35:13 EST
Oh, yeah, I also upgraded the pulseaudio components (building custom 2.1 packages on Fedora 17). That made no difference in the behavior.
Comment 2 Joe Cooper 2012-12-06 04:27:30 EST
Created attachment 658593 [details]
lspci output
Comment 3 Joe Cooper 2012-12-06 04:28:03 EST
Created attachment 658594 [details]
lsusb output
Comment 4 Josh Boyer 2012-12-06 10:10:10 EST
Can you email the alsa-devel mailing list with your issues?  Since upstream 3.7-rc8 still has this issue, it's best to probably work directly with the upstream kernel developers to get it resolved.
Comment 5 Joe Cooper 2012-12-06 14:05:24 EST
Created attachment 658988 [details]
alsa-info output
Comment 6 Joe Cooper 2012-12-06 14:06:25 EST
Will do.

I've attached alsa-info.txt to this just to have a consolidated place for that information I can link to. Will report back here with results.
Comment 7 Joe Cooper 2012-12-06 14:15:35 EST
Created attachment 658989 [details]
alsa-info.txt

alsa-info with snd-usb-audio loaded.
Comment 8 Raymond 2013-03-12 19:22:51 EDT
USB Mixer: usb_id=0x0424b832, ctrlif=0, ctlerr=0
Card: Standard Microsystems Corp. HP Wireless Audio Adapter at usb-0000:00:1d.0-1.5, 
  Unit: 11
    Control: name="PCM Playback Volume", index=0
    Info: id=11, control=2, cmask=0x3, channels=2, type="S16"
    Volume: min=0, max=4095, dBmin=0, dBmax=0
  Unit: 11
    Control: name="PCM Playback Switch", index=0
    Info: id=11, control=1, cmask=0x0, channels=1, type="INV_BOOLEAN"
    Volume: min=0, max=1, dBmin=0, dBmax=0
  Unit: 12
    Control: name="Headset Capture Volume", index=0
    Info: id=12, control=2, cmask=0x3, channels=2, type="S16"
    Volume: min=0, max=1, dBmin=0, dBmax=0
  Unit: 12
    Control: name="Headset Capture Switch", index=0
    Info: id=12, control=1, cmask=0x0, channels=1, type="INV_BOOLEAN"
    Volume: min=0, max=1, dBmin=0, dBmax=0
Comment 9 Fedora End Of Life 2013-04-03 11:42:19 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 19 development cycle.
Changing version to '19'.

(As we did not run this process for some time, it could affect also pre-Fedora 19 development
cycle bugs. We are very sorry. It will help us with cleanup during Fedora 19 End Of Life. Thank you.)

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora19
Comment 10 Justin M. Forbes 2013-04-05 15:08:46 EDT
Is this still an issue with the 3.9 kernels in F19?
Comment 11 Justin M. Forbes 2013-04-23 13:27:14 EDT
This bug is being closed with INSUFFICIENT_DATA as there has not been a
response in 2 weeks.  If you are still experiencing this issue,
please reopen and attach the relevant data from the latest kernel you are
running and any data that might have been requested previously.

Note You need to log in before you can comment on or make changes to this bug.